Cancel Loyalty Program Offer
curl --request POST \
--url https://api.loyalty.dog/v2/loyalty/programs/{programId}/offers/{offerId}/cancel \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.loyalty.dog/v2/loyalty/programs/{programId}/offers/{offerId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/loyalty/programs/{programId}/offers/{offerId}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Loyalty
Cancel Loyalty Program Offer
Cancel Offer
Cancels an offer within a loyalty program. Only offers in ‘DRAFT’ or ‘LIVE’ status can be canceled.
-
Path Parameters:
programId: UUID of the loyalty programofferId: UUID of the offer
-
Returns:
- Offer details as a JSON object after status update.
POST
/
v2
/
loyalty
/
programs
/
{programId}
/
offers
/
{offerId}
/
cancel
Cancel Loyalty Program Offer
curl --request POST \
--url https://api.loyalty.dog/v2/loyalty/programs/{programId}/offers/{offerId}/cancel \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.loyalty.dog/v2/loyalty/programs/{programId}/offers/{offerId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/loyalty/programs/{programId}/offers/{offerId}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
JWT access token obtained from POST /v2/token.
Headers
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Response
Successful Response
